## nagios-plugins-ceph 1.5.6

=== Makefile ===
# Copyright (c) 2013 SWITCH http://www.switch.ch
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Authors:
#     Valery Tschopp <valery.tschopp@switch.ch>
#     Ricardo Rocha <ricardo@catalyst.net.nz>

name = nagios-plugins-ceph
version = 1.5.6

# install options (like configure)
# ex: make sysconfdir=/etc libdir=/usr/lib64 sysconfdir=/etc install
prefix = /usr
libdir = $(prefix)/lib
sysconfdir = $(prefix)/etc
nagiosdir = $(libdir)/nagios/plugins
nagiosconfdir = $(sysconfdir)/nagios-plugins/config

tmp_dir = $(CURDIR)/tmp

.PHONY: clean dist install deb deb-src

clean:
	rm -rf $(tmp_dir) 
	rm -f *.tar.gz *.deb *.dsc *.xz

dist:
	@echo "Packaging sources"
	test ! -d $(tmp_dir) || rm -fr $(tmp_dir)
	mkdir -p $(tmp_dir)/$(name)-$(version)
	cp Makefile $(tmp_dir)/$(name)-$(version)
	cp COPYRIGHT LICENSE README.md CHANGELOG $(tmp_dir)/$(name)-$(version)
	cp -R src $(tmp_dir)/$(name)-$(version)
	cp -R config $(tmp_dir)/$(name)-$(version)
	cp -R debian $(tmp_dir)/$(name)-$(version)
	test ! -f $(name)-$(version).tar.gz || rm $(name)-$(version).tar.gz
	tar -C $(tmp_dir) -czf $(name)-$(version).tar.gz $(name)-$(version)
	rm -fr $(tmp_dir)

install:
	@echo "Installing Ceph Nagios plugins in $(DESTDIR)$(nagiosdir)"
	install -d $(DESTDIR)$(nagiosdir)
	install -m 0755 src/* $(DESTDIR)$(nagiosdir)
	install -d $(DESTDIR)$(nagiosconfdir)
	install -m 0644 config/* $(DESTDIR)$(nagiosconfdir)

pre_deb: dist
	mkdir -p $(tmp_dir)
	cp $(name)-$(version).tar.gz $(tmp_dir)/$(name)_$(version).orig.tar.gz
	tar -C $(tmp_dir) -xzf $(tmp_dir)/$(name)_$(version).orig.tar.gz

deb-src: pre_deb
	@echo "Debian source package..."
	cd $(tmp_dir) && dpkg-source -b $(name)-$(version)
	cp $(tmp_dir)/$(name)_$(version)* .
	rm -rf $(tmp_dir)

deb: pre_deb
	@echo "Debian package..."
	cd $(tmp_dir)/$(name)-$(version) && debuild -uc -us
	cp $(tmp_dir)/$(name)*.deb .
	rm -rf $(tmp_dir)

docker-build:
	echo " \
	FROM debian:buster\n \
	ARG DEBIAN_FRONTEND=noninteractive\n	\
	RUN apt-get update; \
	apt-get --yes upgrade; \
	apt-get --no-install-recommends --yes install build-essential fakeroot devscripts python debhelper dh-python" | docker build -t ceph-nagios-plugins-builder -
	docker run -v $(CURDIR):/opt ceph-nagios-plugins-builder /bin/bash -c "cd /opt; make deb; make deb-src"

# vim: set noexpandtab:

## nagios-plugins-ceph 1.5.2-1

=== debian/changelog ===
nagios-plugins-ceph (1.5.2-1) unstable; urgency=medium

  * fixes for auto builds
  * added check_chrony plugin

 -- Bart Vrancken <bart@bit.nl>  Mon, 4 Dec 2017 13:45:00 +0200

nagios-plugins-ceph (1.5.1-1) unstable; urgency=medium

  * Added whitelist regexp filter for good/unhandled ceph health warnings

 -- Roman Plessl <roman.plessl@nine.ch>  Mon, 27 Jun 2016 13:45:00 +0200

nagios-plugins-ceph (1.5.0-1) unstable; urgency=medium

  * Upstream version 1.5.0

 -- Valery Tschopp <valery.tschopp@switch.ch>  Tue, 15 Mar 2016 09:57:18 +0100

nagios-plugins-ceph (1.4.0-1) unstable; urgency=medium

  * Upstream version 1.4.0

 -- Valery Tschopp <valery.tschopp@switch.ch>  Tue, 04 Aug 2015 17:32:19 +0200

nagios-plugins-ceph (1.3.1-3) unstable; urgency=low

  * make it a native package

 -- Sebastian Nickel <sebastian.nickel@nine.ch>  Thu, 16 Apr 2015 15:52:46 +0200

nagios-plugins-ceph (1.3.1-2) unstable; urgency=low

  * fix quilt packaging

 -- Sebastian Nickel <sebastian.nickel@nine.ch>  Thu, 16 Apr 2015 14:52:46 +0200

nagios-plugins-ceph (1.3.1-1) unstable; urgency=low

  * new upstream version 1.3.1

 -- Sebastian Nickel <sebastian.nickel@nine.ch>  Thu, 16 Apr 2015 10:12:09 +0200

nagios-plugins-ceph (1.2.0-1) unstable; urgency=low

  * Upstream version 1.2.0

 -- Ricardo Rocha <ricardo@catalyst.net.nz>  Wed, 12 Feb 2013 16:17:42 +0100

nagios-plugins-ceph (1.1.0-1) unstable; urgency=low

  * Upstream version 1.1.0

 -- Ricardo Rocha <ricardo@catalyst.net.nz>  Thu, 12 Dec 2013 16:17:42 +0100

nagios-plugins-ceph (1.0.1-1) unstable; urgency=low

  * Initial release

 -- Ricardo Rocha <ricardo@catalyst.net.nz>  Wed, 11 Dec 2013 15:52:10 +1300

=== debian/control ===
Source: nagios-plugins-ceph
Maintainer: Valery Tschopp <valery.tschopp@switch.ch>
Uploaders: Sebastian Nickel <sebastian.nickel@nine.ch>, Roman Plessl <roman.plessl@nine.ch>
Section: misc
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8), python-support|dh-python|python

Package: nagios-plugins-ceph
Architecture: all
Depends: python, python3, ${python:Depends}, ${misc:Depends}
Description: Nagios plugins for Ceph
 This package provides a set of plugins to monitor a ceph cluster.

## nagios-plugins-ceph 1.5.3-1

=== debian/changelog ===
nagios-plugins-ceph (1.5.3-1) unstable; urgency=medium

  * replace MGR check with STATUS and VERSION
  * added dependancy for bc

 -- Bart Vrancken <bart@bit.nl>  Mon, 14 Dec 2017 13:45:00 +0200

## nagios-plugins-ceph 1.5.3-2

=== debian/changelog ===
nagios-plugins-ceph (1.5.3-2) unstable; urgency=medium

  * replace MGR check with STATUS and VERSION
  * added dependancy for bc

 -- Bart Vrancken <bart@bit.nl>  Mon, 14 Dec 2017 13:45:00 +0200

## nagios-plugins-ceph 1.5.3-3

=== debian/changelog ===
nagios-plugins-ceph (1.5.3-3) unstable; urgency=medium

  * replace MGR check with STATUS and VERSION
  * added dependancy for bc

 -- Bart Vrancken <bart@bit.nl>  Mon, 14 Dec 2017 13:45:00 +0200

## nagios-plugins-ceph 1.5.3-4

=== debian/changelog ===
nagios-plugins-ceph (1.5.3-4) unstable; urgency=medium

  * replace MGR check with STATUS and VERSION
  * added dependancy for bc

 -- Bart Vrancken <bart@bit.nl>  Mon, 14 Dec 2017 13:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 Package: nagios-plugins-ceph
 Architecture: all
-Depends: python, python3, ${python:Depends}, ${misc:Depends}
+Depends: bc, python, python3, ${python:Depends}, ${misc:Depends}
 Description: Nagios plugins for Ceph
  This package provides a set of plugins to monitor a ceph cluster.

## nagios-plugins-ceph 1.5.3-5

=== debian/changelog ===
nagios-plugins-ceph (1.5.3-5) unstable; urgency=medium

  * Support 'osd_discover' as --service= argument to
    autodiscover running OSDs.

 -- Sander Smeenk <sander@bit.nl>  Tue,  1 May 2018 12:34:56 +0200

## nagios-plugins-ceph 1.5.4-0

=== debian/changelog ===
nagios-plugins-ceph (1.5.4-0) unstable; urgency=medium

  * Update plugins from upstream (python3 compatible)
  * Added python-is-python3 to make that the default python verion

 -- BIT Support <support@bit.nl>  Thu, 07 Jul 2023 17:15:19 +0200

nagios-plugins-ceph (1.5.3-9) unstable; urgency=medium

  * Make check_ceph_pool_quota 'absolute' values capable (again)
  * Fix allowed permissions in check_cephfs_auth

 -- BIT Support <support@bit.nl>  Thu, 23 Feb 2023 15:47:19 +0200

nagios-plugins-ceph (1.5.3-8) unstable; urgency=medium

  * Make check_ceph_pool_quota 'absolute' values capable

 -- BIT Support <support@bit.nl>  Wed,  3 Jun 2020 12:34:56 +0200

nagios-plugins-ceph (1.5.3-7) unstable; urgency=medium

  * Added check_cephfs_auth
  * Added check_cephfs_quota
  * Added check_ceph_pool_quota
  - Updated README.md

 -- Michel Buijsman <michelb@bit.nl>  Thu, 22 Aug 2019 13:46:51 +0200

nagios-plugins-ceph (1.5.3-6) unstable; urgency=medium

  * Changed ceph_df to parse JSON and not screenscrape.
  - Dropped "pool details at warn/crit" feature.
  - Updated README.md to reflect BIT-specific changes.

 -- Sander Smeenk <sander@bit.nl>  Thu,  4 Jul 2019 12:34:56 +0200

=== debian/control ===
Source: nagios-plugins-ceph
Maintainer: Valery Tschopp <valery.tschopp@switch.ch>
Uploaders: Sebastian Nickel <sebastian.nickel@nine.ch>, Roman Plessl <roman.plessl@nine.ch>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper, python-support|dh-python

Package: nagios-plugins-ceph
Architecture: all
Depends: bc, python3, python-is-python3, ${python:Depends}, ${misc:Depends}, libjson-perl, libnumber-bytes-human-perl, attr
Description: Nagios plugins for Ceph
 This package provides a set of plugins to monitor a ceph cluster.

## nagios-plugins-ceph 1.5.4-1

=== debian/changelog ===
nagios-plugins-ceph (1.5.4-1) unstable; urgency=medium

  * Changed 'check_ceph_pool_quota' to use 'rbd du' to give correct amounts in use

 -- BIT Support <support@bit.nl>  Tue, 11 Jun 2024 08:50:00 +0200

## nagios-plugins-ceph 1.5.6

=== debian/changelog ===
nagios-plugins-ceph (1.5.6-1+uvt0) unstable; urgency=medium

  * d/control: s/python:any/python2:any/ , since dh-python conflicts with
    python-is-python2

 -- Joost van Baal-Ilić <joostvb+nagios-plugins-ceph@uvt.nl>  Wed, 07 Jan 2026 09:46:32 +0000

nagios-plugins-ceph (1.5.6-1) unstable; urgency=medium

  * Upstream version 1.5.6

 -- Valery Tschopp <valery.tschopp@switch.ch>  Mon, 04 Jan 2021 08:59:02 +0000

nagios-plugins-ceph (1.5.5-1) unstable; urgency=medium

  * Upstream version 1.5.5

 -- Valery Tschopp <valery.tschopp@switch.ch>  Mon, 19 Nov 2018 14:53:02 +0100

=== debian/control ===
Source: nagios-plugins-ceph
Maintainer: Valery Tschopp <valery.tschopp@switch.ch>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, python2:any

Package: nagios-plugins-ceph
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends}
Description: Nagios plugins for Ceph
 This package provides a set of plugins to monitor a ceph cluster.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh "$@" --with python2

# install in official directories
override_dh_auto_install:
	dh_auto_install -- prefix=/usr sysconfdir=/etc

## nagios-plugins-ceph 1.6.0-0

=== debian/changelog ===
nagios-plugins-ceph (1.6.0-0) unstable; urgency=medium

  * check_ceph_version add option for clusterid and autodetect mgr sockets
  * check_ceph_status add option for clusterid and autodetects mgr sockets

 -- BIT Support <support@bit.nl>  Tue, 25 Jun 2024 16:50:00 +0200

## nagios-plugins-ceph 1.6.1-0

=== debian/changelog ===
nagios-plugins-ceph (1.6.1-0) unstable; urgency=medium

  * check_ceph_version updated so osd_discover can also use the clusterid option
  * check_ceph_status updated so osd_discover can also use the clusterid option

 -- BIT Support <support@bit.nl>  Tue, 27 Jun 2024 13:51:00 +0200

## nagios-plugins-ceph 1.6.2-0

=== debian/changelog ===
nagios-plugins-ceph (1.6.2-0) unstable; urgency=medium

  * check_ceph_pool_quota is now able to check specific clusters

 -- BIT Support <support@bit.nl>  Tue, 27 Jun 2024 13:51:00 +0200

## nagios-plugins-ceph 1.6.3-0

=== debian/changelog ===
nagios-plugins-ceph (1.6.3-0) unstable; urgency=medium

  * check_ceph_pool_quota replaced with python script checking the correct values

 -- BIT Support <support@bit.nl>  Wed, 19 Feb 2025 12:00:00 +0100

## nagios-plugins-ceph 1.6.4-0

=== debian/changelog ===
nagios-plugins-ceph (1.6.4-0) unstable; urgency=medium

  * check_ceph_pool_quota fixed not-quite-compatible call with old perl script

 -- BIT Support <support@bit.nl>  Wed, 19 Feb 2025 14:00:00 +0100

## nagios-plugins-ceph 1.6.5-0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 #     Ricardo Rocha <ricardo@catalyst.net.nz>
 
 name = nagios-plugins-ceph
-version = 1.5.6
+version = 1.5.2
 
 # install options (like configure)
 # ex: make sysconfdir=/etc libdir=/usr/lib64 sysconfdir=/etc install
@@ -25,15 +25,13 @@
 libdir = $(prefix)/lib
 sysconfdir = $(prefix)/etc
 nagiosdir = $(libdir)/nagios/plugins
-nagiosconfdir = $(sysconfdir)/nagios-plugins/config
 
 tmp_dir = $(CURDIR)/tmp
 
 .PHONY: clean dist install deb deb-src
 
 clean:
-	rm -rf $(tmp_dir) 
-	rm -f *.tar.gz *.deb *.dsc *.xz
+	rm -rf $(tmp_dir) *.tar.gz *.deb *.dsc
 
 dist:
 	@echo "Packaging sources"
@@ -42,7 +40,6 @@
 	cp Makefile $(tmp_dir)/$(name)-$(version)
 	cp COPYRIGHT LICENSE README.md CHANGELOG $(tmp_dir)/$(name)-$(version)
 	cp -R src $(tmp_dir)/$(name)-$(version)
-	cp -R config $(tmp_dir)/$(name)-$(version)
 	cp -R debian $(tmp_dir)/$(name)-$(version)
 	test ! -f $(name)-$(version).tar.gz || rm $(name)-$(version).tar.gz
 	tar -C $(tmp_dir) -czf $(name)-$(version).tar.gz $(name)-$(version)
@@ -53,7 +50,6 @@
 	install -d $(DESTDIR)$(nagiosdir)
 	install -m 0755 src/* $(DESTDIR)$(nagiosdir)
 	install -d $(DESTDIR)$(nagiosconfdir)
-	install -m 0644 config/* $(DESTDIR)$(nagiosconfdir)
 
 pre_deb: dist
 	mkdir -p $(tmp_dir)
@@ -72,13 +68,3 @@
 	cp $(tmp_dir)/$(name)*.deb .
 	rm -rf $(tmp_dir)
 
-docker-build:
-	echo " \
-	FROM debian:buster\n \
-	ARG DEBIAN_FRONTEND=noninteractive\n	\
-	RUN apt-get update; \
-	apt-get --yes upgrade; \
-	apt-get --no-install-recommends --yes install build-essential fakeroot devscripts python debhelper dh-python" | docker build -t ceph-nagios-plugins-builder -
-	docker run -v $(CURDIR):/opt ceph-nagios-plugins-builder /bin/bash -c "cd /opt; make deb; make deb-src"
-
-# vim: set noexpandtab:

=== debian/changelog ===
nagios-plugins-ceph (1.6.5-0) unstable; urgency=medium

  * check_ceph_pool_quota fixed UNKNOWN state when pool has no usage (yet)

 -- BIT Support <support@bit.nl>  Mon, 10 Nov 2025 12:34:56 +0100

=== debian/control ===
Source: nagios-plugins-ceph
Maintainer: Valery Tschopp <valery.tschopp@switch.ch>
Uploaders: Sebastian Nickel <sebastian.nickel@nine.ch>, Roman Plessl <roman.plessl@nine.ch>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper, python-support|dh-python

Package: nagios-plugins-ceph
Architecture: all
Depends: bc, python3, ${python:Depends}, ${misc:Depends}, libjson-perl, libnumber-bytes-human-perl, attr
Description: Nagios plugins for Ceph
 This package provides a set of plugins to monitor a ceph cluster.
